Package com.verisign.epp.serverstub.v1_0

## Class TtlV1_0HostHandler

- java.lang.Object
- - com.verisign.epp.serverstub.v1_0.TtlV1_0HostHandler

- All Implemented Interfaces:
    `TtlSubHostHandler`

      public class TtlV1_0HostHandler
      extends java.lang.Object
      implements TtlSubHostHandler

  The `TtlHostHandler` class extends `HostHandler` to include handling the TTL extension.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TtlV1_0HostHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doHostCreate​(EPPHostCreateCmd aCreateCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Host Create Command.
    `void` | `doHostInfo​(EPPHostInfoCmd aInfoCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Host Info Command.
    `void` | `doHostUpdate​(EPPHostUpdateCmd aUpdateCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Host Update Command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TtlV1_0HostHandler

          public TtlV1_0HostHandler()

  - ### Method Detail

    - #### doHostInfo

          public void doHostInfo​(EPPHostInfoCmd aInfoCommand,
                                 EPPResponse aResponse,
                                 java.lang.Object aData)

      Handle an EPP Host Info Command.
      Specified by:
        `doHostInfo` in interface `TtlSubHostHandler`
      Parameters:
        `aInfoCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doHostCreate

          public void doHostCreate​(EPPHostCreateCmd aCreateCommand,
                                   EPPResponse aResponse,
                                   java.lang.Object aData)

      Handle an EPP Host Create Command.
      Specified by:
        `doHostCreate` in interface `TtlSubHostHandler`
      Parameters:
        `aCreateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doHostUpdate

          public void doHostUpdate​(EPPHostUpdateCmd aUpdateCommand,
                                   EPPResponse aResponse,
                                   java.lang.Object aData)

      Handle an EPP Host Update Command.
      Specified by:
        `doHostUpdate` in interface `TtlSubHostHandler`
      Parameters:
        `aUpdateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.